summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author David Somero <dsomero@hotmail.com>2010-05-13 01:01:14 +0200
committer Erik Hanson <erik@slackbuilds.org>2010-05-13 01:01:14 +0200
commitea80535f76d599c846ff9c07d877bdac3299a64d (patch)
treecff8356c3f83fc6cf26563d3608de5431294be03
parent53544bd0ee5231c3bc229e23f8c793c05dce8fa0 (diff)
downloadslackbuilds-ea80535f76d599c846ff9c07d877bdac3299a64d.tar.gz
slackbuilds-ea80535f76d599c846ff9c07d877bdac3299a64d.tar.xz
system/usb_modeswitch: Added to 13.0 repository
-rw-r--r--system/usb_modeswitch/README10
-rw-r--r--system/usb_modeswitch/doinst.sh16
-rw-r--r--system/usb_modeswitch/slack-desc19
-rw-r--r--system/usb_modeswitch/usb_modeswitch.SlackBuild88
-rw-r--r--system/usb_modeswitch/usb_modeswitch.info10
5 files changed, 143 insertions, 0 deletions
diff --git a/system/usb_modeswitch/README b/system/usb_modeswitch/README
new file mode 100644
index 0000000000..acf885b5de
--- /dev/null
+++ b/system/usb_modeswitch/README
@@ -0,0 +1,10 @@
+USB_ModeSwitch is (surprise!) a mode switching tool for controlling "flip
+flop" (multiple device) USB gear.
+
+Several new USB devices (especially high-speed wireless WAN stuff, there
+seems to be a chipset from Qualcomm offering that feature) have their MS
+Windows drivers onboard; when plugged in for the first time they act like a
+flash storage and start installing the driver from there. After that (and
+on every consecutive plugging) this driver switches the mode internally,
+the storage device vanishes (in most cases), and a new device (like an USB
+modem) shows up. The WWAN gear maker Option calls that feature "ZeroCD (TM)".
diff --git a/system/usb_modeswitch/doinst.sh b/system/usb_modeswitch/doinst.sh
new file mode 100644
index 0000000000..15d74ae5c9
--- /dev/null
+++ b/system/usb_modeswitch/doinst.sh
@@ -0,0 +1,16 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/usb_modeswitch.conf.new
+
+chroot . /etc/rc.d/rc.udev reload
diff --git a/system/usb_modeswitch/slack-desc b/system/usb_modeswitch/slack-desc
new file mode 100644
index 0000000000..20521734ae
--- /dev/null
+++ b/system/usb_modeswitch/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+usb_modeswitch: usb_modeswitch (mode switching tool for multiple mode USB devices)
+usb_modeswitch:
+usb_modeswitch: Several new USB devices (especially high-speed wireless WAN stuff,
+usb_modeswitch: there seems to be a chipset from Qualcomm offering that feature)
+usb_modeswitch: have their MS Windows drivers onboard; when plugged in for the
+usb_modeswitch: first time they act like a flash storage and start installing the
+usb_modeswitch: driver from there. After that (and on every consecutive plugging)
+usb_modeswitch: this driver switches the mode internally, the storage device vanishes
+usb_modeswitch: (in most cases), and a new device (like an USB modem) shows up.
+usb_modeswitch:
+usb_modeswitch: Homepage: http://www.draisberghof.de/usb_modeswitch
diff --git a/system/usb_modeswitch/usb_modeswitch.SlackBuild b/system/usb_modeswitch/usb_modeswitch.SlackBuild
new file mode 100644
index 0000000000..6de04c51ff
--- /dev/null
+++ b/system/usb_modeswitch/usb_modeswitch.SlackBuild
@@ -0,0 +1,88 @@
+#!/bin/sh
+
+# Slackware build script for usb_modeswitch.
+
+# Written by David Somero <dsomero@hotmail.com>
+# Derived from Slackware's Slackbuilds.
+#
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2010 David Somero (dsomero@hotmail.com) Athens, TN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=usb_modeswitch
+VERSION=${VERSION:-1.0.7}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Source has a precompiled binary, lets build our own.
+make clean
+gcc $SLKCFLAGS $LDFLAGS -lusb -Wall -o usb_modeswitch usb_modeswitch.c
+
+install -D -s -m0755 usb_modeswitch $PKG/usr/sbin/usb_modeswitch
+install -D -m0755 usb_modeswitch.tcl $PKG/usr/sbin/usb_modeswitch.tcl
+install -D -m0755 usb_modeswitch.sh $PKG/usr/sbin/usb_modeswitch.sh
+install -D -m0644 80-usb_modeswitch.rules $PKG/lib/udev/rules.d/80-usb_modeswitch.rules
+install -D -m0644 usb_modeswitch.conf $PKG/etc/usb_modeswitch.conf.new
+mv usb_modeswitch.d $PKG/etc
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYING README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/usb_modeswitch/usb_modeswitch.info b/system/usb_modeswitch/usb_modeswitch.info
new file mode 100644
index 0000000000..fd70bd2261
--- /dev/null
+++ b/system/usb_modeswitch/usb_modeswitch.info
@@ -0,0 +1,10 @@
+PRGNAM="usb_modeswitch"
+VERSION="1.0.7"
+HOMEPAGE="http://www.draisberghof.de/usb_modeswitch"
+DOWNLOAD="http://www.draisberghof.de/usb_modeswitch/usb_modeswitch-1.0.7.tar.bz2"
+MD5SUM="a9d05c785ade1b06097d53f4423bd5c6"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="David Somero"
+EMAIL="dsomero@hotmail.com"
+APPROVED="Erik Hanson"